<DisplayEngineConfig>
	<id>24</id>
	<updated>2017-09-18</updated>
	<feature name="HIACE">
		<mode name="MODE_DEFAULT">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">2</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_DEFAULT_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">2</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_DEFAULT_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">2</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IMAGE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">1</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">1</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IMAGE_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">1</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IMAGE_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">1</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_VIDEO">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">1</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_VIDEO_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_VIDEO_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">60</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323415</param>
			<param name="iS3GreenSigma45">6167</param>
			<param name="iS3RedSigma03">370545941</param>
			<param name="iS3RedSigma45">6167</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370480404</param>
			<param name="iS3WhiteSigma45">6167</param>
			<param name="iS3FilterLevel">12</param>
			<param name="iS3SimilarityCoeff">493</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_HDR10">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">1</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">10</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1141096458</param>
			<param name="iSaturation">1141895168</param>
			<param name="iValue">755794010</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323672</param>
			<param name="iS3GreenSigma45">6168</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">23159126</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370545941</param>
			<param name="iS3WhiteSigma45">6168</param>
			<param name="iS3FilterLevel">8</param>
			<param name="iS3SimilarityCoeff">789</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_HDR10_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">1</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">10</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1141096458</param>
			<param name="iSaturation">1141895168</param>
			<param name="iValue">755794010</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323672</param>
			<param name="iS3GreenSigma45">6168</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">23159126</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370545941</param>
			<param name="iS3WhiteSigma45">6168</param>
			<param name="iS3FilterLevel">8</param>
			<param name="iS3SimilarityCoeff">789</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_HDR10_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">0</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">1</param>
			<param name="iMode">0</param>
			<param name="iLevel">0</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">10</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1141096458</param>
			<param name="iSaturation">1141895168</param>
			<param name="iValue">755794010</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1114138</param>
			<param name="iS3GreenSigma03">387323672</param>
			<param name="iS3GreenSigma45">6168</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">23159126</param>
			<param name="iS3BlueSigma45">6167</param>
			<param name="iS3WhiteSigma03">370545941</param>
			<param name="iS3WhiteSigma45">6168</param>
			<param name="iS3FilterLevel">8</param>
			<param name="iS3SimilarityCoeff">789</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_GAME">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">3</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_GAME_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">3</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_GAME_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">3</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IM">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IM_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_IM_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_1">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">1</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_1_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">1</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_1_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">1</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_2">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">2</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_2_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">2</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_2_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">2</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_3">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">3</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_3_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">3</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_3_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">3</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_4">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_4_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_4_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">4</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_5">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_5_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_5_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">5</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_6">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">6</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_6_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">6</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_6_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">6</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_7">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">7</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_7_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">7</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_7_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">7</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_8">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">8</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_8_LRE">
			<param name="iDoLRE">1</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">0</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">8</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
		<mode name="MODE_POWER_SAVING_8_SRE">
			<param name="iDoLRE">0</param>
			<param name="iDoLCE">0</param>
			<param name="iDoAPLC">0</param>
			<param name="iDoFOSS">1</param>
			<param name="iDoCABC">0</param>
			<param name="iDoSRE">1</param>
			<param name="iDoHDR10">0</param>
			<param name="iMode">8</param>
			<param name="iLevel">4</param>
			<param name="ilhist_sft">0</param>
			<param name="iLaSensorSREOnTH">1000</param>
			<param name="iLaSensorLREOnTH">80</param>
			<param name="iBackLightLREOnTH">25</param>
			<param name="iGlobalHistBlackPos">16</param>
			<param name="iGlobalHistWhitePos">240</param>
			<param name="iGlobalHistBlackWeight">51</param>
			<param name="iGlobalHistWhiteWeight">51</param>
			<param name="iGlobalHistZeroCutRatio">486</param>
			<param name="iGlobalHistSlopeCutRatio">410</param>
			<param name="iDimmingFrameLRE">60</param>
			<param name="iDimmingFrameACE">60</param>
			<param name="iDimmingFrameSRE">90</param>
			<param name="iDimmingFrameAPLC">60</param>
			<param name="iDimmingFrameHDR10">60</param>
			<param name="iDimmingFrameFOSS">60</param>
			<param name="iDimmingFrameCABC">60</param>
			<param name="iHUE">1140973568</param>
			<param name="iSaturation">1141506128</param>
			<param name="iValue">1141895268</param>
			<param name="iS3BypassNR">1</param>
			<param name="iS3SomeBrightness01">41943859</param>
			<param name="iS3SomeBrightness23">13435264</param>
			<param name="iS3SomeBrightness4">96</param>
			<param name="iS3MinMaxSigma">1376282</param>
			<param name="iS3GreenSigma03">421009175</param>
			<param name="iS3GreenSigma45">6682</param>
			<param name="iS3RedSigma03">387388950</param>
			<param name="iS3RedSigma45">6168</param>
			<param name="iS3BlueSigma03">370545941</param>
			<param name="iS3BlueSigma45">5911</param>
			<param name="iS3WhiteSigma03">387323157</param>
			<param name="iS3WhiteSigma45">6424</param>
			<param name="iS3FilterLevel">7</param>
			<param name="iS3SimilarityCoeff">845</param>
			<param name="iS3VFilterWeightAdj">1</param>
			<param name="iS3HUE">1140973568</param>
			<param name="iS3Saturation">1141342288</param>
			<param name="iS3Value">1141895288</param>
			<param name="iS3SkinGain">128</param>
			<param name="chCfgName">/hw_product/etc/display/effect/algorithm/hdr_engine_AB.xml</param>
		</mode>
	</feature>
</DisplayEngineConfig>

